# Reproducing Results

Finding the experiment you want to work on in a complex project can be hard.
To understand how to do it on DAGsHub, you should read the [discovering experiments](discovering_experiments.md) section.

<center>
![The One](assets/the_one.png)
<br/>
<sub>The One Experiment</sub>
</center>

Once you've found the one (the experiment, not Neo), you want to get it on your working system to start contributing to it.
DAGsHub and DVC make this easy.

## Checking Out Experiments Using Git and DVC
We're assuming here that you already have a cloned repository on your local system.
If not, then first follow the note below.
We're also assuming you've discovered the experiment you'd like to start working on. If not, go back to the [discovering experiments section](discovering_experiments.md).

??? example "Cloning the repository"
    Once you found the project you'd like to clone just copy the address in the top right side of the file view. Then, in a terminal pointing to the relevant folder you'd like to have the project in, type in `git clone <DAGsHub-repo-address>`.
    <center>
    ![Screenshot](assets/git_clone_address.png)
    <br/>
    <sub>The clone address for the repository</sub>
    </center>

Now, wherever you find the experiment, it has a unique ID, which is the commit hash.
In the experiment view, this appears with a copy button next to it.
This is important for what we'll do next.

<center>
![Screenshot](assets/git_hash_copy.png)
<br/>
<sub>A unique experiment ID, AKA Git commit hash</sub>
</center>

We're going to set up our local system to be on the specific experiment we want, and to start a new branch there,
so that we can use it as a starting point for new experiments, and eventually contribute improved results back to the project.

To do this, we perform the following commands (after clicking the copy button on the unique experiment ID).
```bash
$ git checkout -b <myExperiment> <uniqueExperimentId>
Switched to a new branch '<myexperiment>'

$ dvc pull -r <projectRemote>
```

## Next Steps
Now you're ready to start [contributing to the project](data_science_pull_requests.md) and trying out your own experiments, based on the interesting experiments you found or trying completely new approaches!
