# Announcing: <br/>**Free private repos** with **unlimited collaborators**
A lot of people have been working from home due to COVID-19, and this might require the adoption of new workflows for remote collaboration in data science teams.
DAGsHub is built specifically for community collaboration – meaning people working from different locations on the same project.

**To ease people's potential difficulties in this new remote work situation,
we decided to enable private projects with unlimited collaborators for free, available to everyone for the next 6 months.**
We hope to give teams the tools they need to keep working effectively.

At its core, DAGsHub integrates between experiment tracking and reproducibility.
DAGsHub is based on and inspired by great open source tools like DVC, MLflow, Cookiecutter data science and more.

The platform is still in beta, and we’re adding new features from user feedback as quickly as we can.
We'd love to hear your feedback and requests.

The quickest way to get started is to go through ___[our tutorial](https://dagshub.com/docs/experiment-tutorial/overview/)___.

## An important note about data
Since we use DVC for versioning of data, **you don’t need to upload your data to DAGsHub to get its benefits**.

You can use your existing cloud storage (or just a folder on your PC, an SSH server, Google Drive,
or any other type of [remote supported by DVC](https://dvc.org/doc/command-reference/remote/add)),
while DAGsHub stores only metadata and links to it.
This means that data security and permissions are handled by your storage provider.

**Welcome to DAGsHub!**

## Adding collaborators to a project
To add additional collaborators to your project, simply go to your repository and click the settings button.
<br/>
<center>![Screenshot](assets/settings-button.png)
<sub>Settings button</sub></center>
<br/>
Then, click the Collaboration tab, where you can search users on DAGsHub. Select the relevant user, and click 'Add New Collaborator'.
<br/>
<center>![Screenshot](assets/collaborators-menu.png)
<sub>Collaborators menu</sub></center>
<br/>
After you do that, you'll get a message that the action has been successful, and you'll be able to manage your collaborator's read-write permissions.
<br/>
<center>![Screenshot](assets/manage-permissions.png)
<sub>Collaborator permission management</sub></center>
<br/>
And that's it. You did it!
