# Feature Updates
## December '20
### DAGsHub Storage
This is a big one! Setting up a DVC remote can be a hassle, with credit cards, cloud permissions and IAM. But not anymore. With DAGsHub storage, we reduce configuration to 0. You can just `dvc remote add origin https://dagshub.com/<user>/<repo-name>.dvc` and push. All the benefits of DAGsHub work out of the box. Read more about it in our [launch blog post](/blog/dagshub-storage-zero-configuration-dataset-model-hosting).

## November '20
### Updated Tutorial
Getting started should be as fun, easy and accessible as possible. We felt like our tutorial could do better on some of those fronts, so we've updated it. Check out our new [Basic Tutorial](/docs/experiment-tutorial/overview/), which covers DVC basics. We'll cover data exploration, data versioning (in a much simpler fashion), experiment tracking, and more, all while creating a project which is much closer to real-life data science. Many users don't necessarily need the more advanced DVC pipelines, so we've separated them from the original tutorial into the [Pipeline Tutorial](/docs/tutorial/overview/), which, as it's name suggests, focuses more on pipelines.

### Directory Diffing & Easy Compare
Data science has many unique requirements, and handling folders with a TON of changed files is one of them. This means that looking at file-by-file comparisons are less informative, and that's exactly why we created directory comparisons. In every file or folder view, we've added a dropdown to select a branch, tag, or commit to compare to. By selecting a Git branch, tag, or commit, you can compare the project filesystem between these two states, and easily make sense of what changed. 

<center>
<video autoplay loop muted playsinline width="100%">
  <source src="../assets/directory_comparison.webm" type="video/webm">
  <source src="../assets/directory_comparison.mp4" type="video/mp4">
</video>
</center>

## October '20
### Browse DVC Directories and preview DVC Files
You now have a natural browsing experience of your working directory. DAGsHub can read directory dependencies and show their content 
in the file tree. In addition to directories, files can be displayed naturally, the same way we display git-tracked files.

<center>
<video autoplay loop muted playsinline width="100%">
  <source src="../assets/browse_dvc_doc.webm" type="video/webm">
  <source src="../assets/browse_dvc_doc.mp4" type="video/mp4">
</video>
</center>

## September '20
### Login with Github
You can now [login or sign up to DAGsHub using your Github user](https://DAGsHub.com/user/oauth/github), with just a click or two!

### Data Science Pull Requests
Major feature update. Data Science Pull Requests (DS PRs) are the natural extension of Pull Requests (PRs) to the realm of data science. You can now discuss, compare, and review changes to experiments, data, and models in your pull requests. After you finish your review, you can merge your data, models, and artifacts automatically. Read more in the [dedicated doc page](collaborating_on_dagshub/data_science_pull_requests.md).

<center>
<video autoplay loop muted playsinline width="100%">
  <source src="../assets/dspr-preview.webm" type="video/webm">
  <source src="../assets/dspr-preview.mp4" type="video/mp4">
</video>
</center>

### Notebook Diffing
You can now diff your notebooks in a meaningful way, making it easy to understand what inputs and outputs changed.

<center>
![Screenshot](collaborating_on_dagshub/assets/notebook-diff.png)
<sub>Notebook diffing</sub>
</center>

## August '20
### Improved Experiment Tab
We've updated the Experiment Tab with a ton of cool features. You can now filter and search experiments with much more granularity, drag and drop to reorder or hide columns and search for the columns you need in the column selection panel.

<center>
<video autoplay loop muted playsinline width="100%">
  <source src="../assets/new_table.webm" type="video/webm">
  <source src="../assets/new_table.mp4" type="video/mp4">
</video>
</center>

### Custom Experiment Names
Many users have told us they'd like to change their experiments' names. We're happy to announce this is now possible, just click the edit (pencil) button in the single experiment view to edit.

<center>![Screenshot](assets/edit_name.png)</center>

## May–July '20
### Support for DVC 1.0
DAGsHub now supports DVC 1.0. You can safely upgrade and enjoy all the things you love about DAGsHub. If you need help with the upgrade, we also created an [automatic migration script](https://towardsdatascience.com/automatically-migrate-your-project-from-dvc-0-94-to-dvc-1-x-416a5b9e837b).

<center>![Screenshot](assets/dvc-1-0.png)</center>

### Connect to an Existing Repo
If you always wanted to connect your GitHub repository to DAGsHub so that you can get the best of both worlds, this one's for you! You can now connect existing repos by clicking the `+ Create` button in the navigation and choosing `New Connection`. DAGsHub supports GitHub, GitLab and Bitbucket.

![Screenshot](getting-started/assets/connect_github_repo.png)

## April '20
### Adding DVC Managed Files to the File Tree
You can now view and download your DVC managed files and folders not only in the pipeline view but also in the file tree. Remote files have a blueish tint to their file tree row.
<center>
    [![DVC Files in the File Tree](assets/dvc_file_tree.png)](assets/dvc_file_tree.png)
    <br/>
    <sub>An example of git and dvc managed files in the file tree</sub>
</center>

## March '20
### Tutorial for Experiment Tracking
A new tutorial, walking you through a realistic data science project and showing how to use DAGsHub's [experiment tracking and visualization features](/docs/collaborating_on_dagshub/discovering_experiments) to organize and share your research. <br/>
[Learn more...](/docs/experiment-tutorial/overview)

## November '19
### Experiment Tracking
Track your experiment parameters and metrics using **simple, readable** and [**open** formats](/docs/reference/open_data_science_formats). Gain insights into your research using smart visualizations. Find the experiment you need, easily. <br/>
[Learn more...](/docs/collaborating_on_dagshub/discovering_experiments).

<center>
<img width="100%" src="../collaborating_on_dagshub/assets/single_experiment_view.png" />
<br/>
<sub>Part of the experiment view</sub>
</center>

## July '19
### Visual Pipeline editing
Sometimes you don't feel like using the command line. Or you made a typo in one of the file names and want to fix it quickly. You can now edit your DVC data pipeline in DAGsHub's visual interface. <br/>
[Learn more...](/docs/reference/editing_data_pipelines/)

<center>
<video width="100%" autoplay loop muted playsinline width="100%">
  <source src="../reference/assets/modify_stage.webm" type="video/webm">
  <source src="../reference/assets/modify_stage.mp4" type="video/mp4">
</video>
<br/>
<sub>Modifying a stage is easy with DAGsHub</sub>
</center>
