# Create a DAGsHub Project
This page covers how to sign up for DAGsHub, create a new project and add it as a git remote. After reviewing this page, we also recommend [setting up remote storage for data and models](set-up-remote-storage-for-data-and-models.md).

## Joining DAGsHub...
...is really easy. Just [sign up](/user/sign_up).

## Create a New (Empty) DAGsHub Repository
### Create an Empty Project
Create a new repository by clicking on the plus sign and create repository in the nav bar.
<br/>
<br/>
<center>![Screenshot](../tutorial/assets/create_repo.png)
<sub>Repo creation button</sub></center>
<br/>
This opens up a dialog, which should be somewhat familiar, in which you can set the repository name, description and a few other options.
<br/>
<br/>
<center>![Screenshot](../tutorial/assets/create_mnist_repo.png)
<br/>
<sub>Repo creation dialog</sub></center>
<br/>

If you chose this option, locally create a directory named `<dagshub-project-name>` for the project somewhere on your computer.

Open a terminal and input the following:
```bash
cd path/to/folder/<dagshub-project-name>
git clone https://dagshub.com/<user-name>/<dagshub-project-name>.git
```

## Connect to an Existing Remote on GitHub / GitLab / bitBucket
Create a new project connection by clicking on the plus sign and New Connection in the nav bar.
<br/>
<br/>
<center>![Screenshot](assets/connect_github_repo.png)
<sub>Repo connection button</sub></center>
<br/>
In this menu, copy the link to your original project (e.g. `https://github.com/<user-name>/<project-name>.git`) into the Clone Address input. DAGsHub will auto-complete the project name and description if they exist.
<br/>
<br/>
<center>![Screenshot](assets/connect_repo_dialog.png)
<br/>
<sub>Repo connection dialog</sub></center>
<br/>

**Optionally**, fill in your DVC remote url, if you have already set it up. If not, [continue to the next step to set it up](set-up-remote-storage-for-data-and-models.md).

## Next Steps
Congratulations – you can now push code from your local machine to your DAGsHub project. Continue to [set up your remote storage for data and models](set-up-remote-storage-for-data-and-models.md) if you'd like to connect them to your project as well.
