# Editing Data Pipelines using DAGsHub UI
Some people love the command line and can live inside of it without ever leaving.
Others don't, and we want to support all of the data science community.
That's why we added the ability to edit your [DVC pipeline](https://dvc.org/doc/get-started/pipeline) via our UI.

**Currently the actions you can perform via the UI are:**

- Adding / removing a stage dependency
- Adding / removing a stage output
    - Support for adding an output which is a metric file
    - Support for adding DVC managed or Git managed output
- Removing a DVC stage

<center>
<video width="100%" autoplay loop muted playsinline width="100%">
  <source src="../assets/modify_stage.webm" type="video/webm">
  <source src="../assets/modify_stage.mp4" type="video/mp4">
</video>
<br/>
<sub>Modifying a stage is easy with DAGsHub</sub>
</center>

## Editing A Stage
In order to edit a stage, you must be logged in and viewing a repository you have write access to.

Then, expanding any DVC stage node will show the `Modify Stage` and `Delete Stage` buttons.

<center>
![Screenshot](assets/edit_stage_node.png)
<br/>
<sub>Expanded DVC stage node with edit buttons</sub>
</center>

### Modifying A Stage
Pressing the `Modify Stage` button will open up the Edit Stage Dependencies / Outputs form which is shown below.

<center>
![Screenshot](assets/modify_stage_form.png)
<br/>
<sub>Modify stage form</sub>
</center>

Here you can choose the file you want to add or remove, and input the commit details. For adding outputs you can also choose whether DVC or Git will manage the file versions (DVC is the default here), and wether or not the output is a metric (the default choice is that it **is not** a metric).

!!!info "Manage this output using DVC?"
     Being managed by DVC means this output will be cached instead of being checked into Git.

### Delete A Stage
Pressing the `Delete Stage` button will open a new page where you'll be able to either cancel your action, or input commit details and commit the change.

<center>
![Screenshot](assets/commit_form.png)
<br/>
<sub>Commit form for stage deletion</sub>
</center>

