# DAGsHub Templates

We at DAGsHub want to help you get started as painlessly as possible, so you can get to the cool data science-y parts ASAP.
To make this possible, we created the **DAGsHub Template** feature.

<center><img src="../assets/template-create.gif" style="height: 500px;" />

<sub>How to create a project from a template</sub></center>

When creating a new repo, you can choose from one of the following templates:

1. **None** - Start with a bare git repo, no commits and no files.
1. **Custom** - Pick your own license, gitignores, and whether you want a basic README.md
1. **Cookiecutter DVC** - Start your project with a general structure already established - batteries included!

    [See an example of this project structure](/DAGsHub-Official/Cookiecutter-DVC). 
    
    This template is based on the well-known [Cookiecutter Data Science](https://github.com/drivendata/cookiecutter-data-science)
    template, only we modified it to give you a basic DVC pipeline right out of the box.
    This allows you to just start writing code and working on your data immediately. You can always modify the DVC structure
    to your own needs later on. 
    
    **We especially recommend this template for first timers!**
    
1. **Jupyter Notebook + DVC** - A project template based on a Jupyter Notebook. 

    [See an example of this project structure](/DAGsHub-Official/Jupyter-Notebook-DVC). 
    
    Using Jupyter Notebooks might make it harder to reproduce results or create production-grade research. That said, notebooks are fun to work with, and we want to make it as easy as possible to bridge the gap.<br/>
    This template has a basic DVC pipeline, and an example notebook that includes special cells for DVC versioning.
    This means you can add in your code, and version your data and models all from within the notebook.
    You can always modify the DVC structure to your own needs later on. 
    
1. **Tell us about your template ideas** - Need something but it's not in the list above? Contact us via chat, or send us a [mail](mailto: contact@dagshub.com) and tell us what template would be great for your workflow.
    
